## cadvisor 0.35.0+ds1

=== vendor/github.com/Rican7/retry/Makefile ===
# Define some VCS context
PARENT_BRANCH ?= master

# Set the mode for code-coverage
GO_TEST_COVERAGE_MODE ?= count
GO_TEST_COVERAGE_FILE_NAME ?= coverage.out

# Set flags for `gofmt`
GOFMT_FLAGS ?= -s

# Set a default `min_confidence` value for `golint`
GOLINT_MIN_CONFIDENCE ?= 0.3


all: install-deps build install

clean:
	go clean -i -x ./...

build:
	go build -v ./...

install:
	go install ./...

install-deps:
	go get -d -t ./...

install-deps-dev: install-deps
	go get github.com/golang/lint/golint
	go get golang.org/x/tools/cmd/goimports

update-deps:
	go get -d -t -u ./...

update-deps-dev: update-deps
	go get -u github.com/golang/lint/golint
	go get -u golang.org/x/tools/cmd/goimports

test:
	go test -v ./...

test-with-coverage:
	go test -cover ./...

test-with-coverage-formatted:
	go test -cover ./... | column -t | sort -r

test-with-coverage-profile:
	echo "mode: ${GO_TEST_COVERAGE_MODE}" > ${GO_TEST_COVERAGE_FILE_NAME}
	for package in $$(go list ./...); do \
		go test -covermode ${GO_TEST_COVERAGE_MODE} -coverprofile "coverage_$${package##*/}.out" "$${package}"; \
		sed '1d' "coverage_$${package##*/}.out" >> ${GO_TEST_COVERAGE_FILE_NAME}; \
	done

format-lint:
	errors=$$(gofmt -l ${GOFMT_FLAGS} .); if [ "$${errors}" != "" ]; then echo "$${errors}"; exit 1; fi

import-lint:
	errors=$$(goimports -l .); if [ "$${errors}" != "" ]; then echo "$${errors}"; exit 1; fi

style-lint:
	errors=$$(golint -min_confidence=${GOLINT_MIN_CONFIDENCE} ./...); if [ "$${errors}" != "" ]; then echo "$${errors}"; exit 1; fi

copyright-lint:
	@old_dates=$$(git diff --diff-filter=ACMRTUXB --name-only "${PARENT_BRANCH}" | xargs grep -E '[Cc]opyright(\s+)[©Cc]?(\s+)[0-9]{4}' | grep -E -v "[Cc]opyright(\s+)[©Cc]?(\s+)$$(date '+%Y')"); if [ "$${old_dates}" != "" ]; then printf "The following files contain outdated copyrights:\n$${old_dates}\n\nThis can be fixed with 'make copyright-fix'\n"; exit 1; fi

lint: install-deps-dev format-lint import-lint style-lint copyright-lint

format-fix:
	gofmt -w ${GOFMT_FLAGS} .

import-fix:
	goimports -w .

copyright-fix:
	@git diff --diff-filter=ACMRTUXB --name-only "${PARENT_BRANCH}" | xargs -I '_FILENAME' -- sh -c 'sed -i.bak "s/\([Cc]opyright\([[:space:]][©Cc]\{0,1\}[[:space:]]*\)\)[0-9]\{4\}/\1"$$(date '+%Y')"/g" _FILENAME && rm _FILENAME.bak'

vet:
	go vet ./...


.PHONY: all clean build install install-deps install-deps-dev update-deps update-deps-dev test test-with-coverage test-with-coverage-formatted test-with-coverage-profile format-lint import-lint style-lint copyright-lint lint format-fix import-fix copyright-fix vet

=== debian/changelog ===
cadvisor (0.35.0+ds1-4ubuntu3) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:06:00 +0000

cadvisor (0.35.0+ds1-4ubuntu2) groovy; urgency=medium

  * Add containerd support back (See LP 1884663)
    - Drop d/p/0008-disable-containerd.patch
    - Add dependency on golang-github-containerd-containerd-dev,
      golang-github-containerd-ttrpc-dev, golang-github-containerd-typeurl-dev

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 15 Jul 2020 11:56:04 -0300

cadvisor (0.35.0+ds1-4ubuntu1) groovy; urgency=medium

  * d/p/0008-disable-containerd.patch: golang-github-containerd-containerd-dev
    is not working due to the vendorized dependencies (LP: #1884663) 
  * Add dependency on golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev, and
    golang-github-seandolphin-bqschema-dev. Those packages were indirectly
    provided by containerd.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 23 Jun 2020 15:50:56 -0300

cadvisor (0.35.0+ds1-4) unstable; urgency=medium

  * Skip one more problem test on s390x

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 13:46:17 +0800

cadvisor (0.35.0+ds1-3) unstable; urgency=medium

  * Fix s390x FTBFS again

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 12:24:50 +0800

cadvisor (0.35.0+ds1-2) unstable; urgency=medium

  * Add patch to fix FTBFS on mips64el,mipsel,arm64,s390x

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 07:02:16 +0800

cadvisor (0.35.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.35.0+ds1
  * Update Files-Excluded for new release
  * Change uscan repacksuffix
  * Fix Build-Depends for new release
  * Add new patch to disable cloud provider and web ui
  * Add patch to build with containerd 1.3.x
  * Simplify d/rules
  * Add patch to fix build with new prometheus client_golang
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Add myself to Uploaders, adopt package (Closes: #886740)
  * Update debhelper-compat to 12
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root
  * Add patch to skip test failed in sbuild
  * Add NVML Notice file to docs
  * Update copyright info for the vendor source
  * Drop init script
  * Update lintian-overrides

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 05:54:34 +0800

=== debian/control ===
Source: cadvisor
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-containerd-containerd-dev,
               golang-github-containerd-ttrpc-dev,
               golang-github-containerd-typeurl-dev,
               golang-github-docker-go-connections-dev,
               golang-github-docker-go-units-dev,
               golang-github-garyburd-redigo-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-kr-pretty-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-mesos-mesos-go-dev,
               golang-github-mrunalp-fileutils-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-runc-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-seandolphin-bqschema-dev,
               golang-github-shopify-sarama-dev,
               golang-github-stretchr-testify-dev,
               golang-go-zfs-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-sys-dev,
               golang-google-api-dev,
               golang-google-grpc-dev,
               golang-gopkg-olivere-elastic.v2-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/google/cadvisor
Vcs-Browser: https://salsa.debian.org/go-team/packages/cadvisor
Vcs-Git: https://salsa.debian.org/go-team/packages/cadvisor.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/google/cadvisor

Package: golang-github-google-cadvisor-dev
Architecture: all
Depends: golang-github-blang-semver-dev,
         golang-github-containerd-containerd-dev,
         golang-github-containerd-ttrpc-dev,
         golang-github-containerd-typeurl-dev,
         golang-github-docker-go-connections-dev,
         golang-github-docker-go-units-dev,
         golang-github-garyburd-redigo-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-mesos-mesos-go-dev,
         golang-github-mrunalp-fileutils-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-runc-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-prometheus-common-dev,
         golang-github-seandolphin-bqschema-dev,
         golang-github-shopify-sarama-dev,
         golang-go-zfs-dev,
         golang-golang-x-net-dev,
         golang-golang-x-oauth2-dev,
         golang-golang-x-sys-dev,
         golang-google-api-dev,
         golang-google-grpc-dev,
         golang-gopkg-olivere-elastic.v2-dev,
         ${misc:Depends},
Description: analyze resource usage and performance of running containers
 cAdvisor (Container Advisor) provides container users an understanding of
 the resource usage and performance characteristics of their running
 containers.
 .
 cAdvisor has native support for Docker containers and should support just
 about any other container type out of the box.
 .
 cAdvisor also exposes container stats as Prometheus (http://prometheus.io)
 metrics.
 .
 This package provides golang library sources.

Package: cadvisor
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: analyze resource usage and performance characteristics of running containers
 cAdvisor (Container Advisor) provides container users an understanding of
 the resource usage and performance characteristics of their running
 containers.
 .
 cAdvisor has native support for Docker containers and should support just
 about any other container type out of the box.
 .
 cAdvisor also exposes container stats as Prometheus (http://prometheus.io)
 metrics.
 .
 This package provides daemon that collects, aggregates, processes, and
 exports information about running containers. Specifically, for each
 container it keeps resource isolation parameters, historical resource
 usage, histograms of complete historical resource usage and network
 statistics. This data is exported by container and machine-wide.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := utils/cloudinfo/aws \
	utils/cloudinfo/azure utils/cloudinfo/gce \
	example integration

export DH_GOLANG_INSTALL_EXTRA := fs/test_resources \
	$(shell find collector container -name '*.json')

%:
	dh $@ --buildsystem=golang --with=golang

## cadvisor 0.37.0+ds1

=== debian/changelog ===
cadvisor (0.37.0+ds1-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add dependency on golang-github-opencontainers-go-digest-dev,
      golang-github-opencontainers-image-spec-dev,
      golang-github-seandolphin-bqschema-dev,
      golang-github-containerd-ttrpc-dev, and
      golang-github-containerd-typeurl-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Nov 2020 12:25:16 -0800

cadvisor (0.37.0+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Update copyright

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 01:38:18 +0800

cadvisor (0.37.0+ds1-1) experimental; urgency=medium

  * New upstream version 0.37.0+ds1
  * Upstream no longer has vendor directory
  * Use packaged golang-github-karrick-godirwalk-dev
  * Refresh patches for new version
  * Use packaged go-kmsg-parser and rican7-retry
  * Vendor docker, k8s, gonvml libraries
  * Disable influxdb storagedriver
  * Add go-logr to Depends and drop unused
  * Fix compatibility with go-logr 0.2.0
  * Fix compatibility with godirwalk 1.15
  * Bump debhelper-compat to 13
  * Bump runc to 1.0.0~rc91
  * Add extra testdata
  * Fix cadvisor binary name

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Aug 2020 02:25:43 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-blang-semver-dev,
@@ -13,20 +13,22 @@
                golang-github-containerd-typeurl-dev,
                golang-github-docker-go-connections-dev,
                golang-github-docker-go-units-dev,
+               golang-github-euank-go-kmsg-parser-dev,
                golang-github-garyburd-redigo-dev,
+               golang-github-go-logr-logr-dev,
                golang-github-gogo-protobuf-dev,
+               golang-github-karrick-godirwalk-dev,
                golang-github-kr-pretty-dev,
-               golang-github-mattn-go-shellwords-dev,
                golang-github-mesos-mesos-go-dev,
-               golang-github-mrunalp-fileutils-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
-               golang-github-opencontainers-runc-dev,
+               golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
                golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
+               golang-github-rican7-retry-dev,
                golang-github-seandolphin-bqschema-dev,
                golang-github-shopify-sarama-dev,
                golang-github-stretchr-testify-dev,
@@ -53,28 +55,23 @@
          golang-github-containerd-typeurl-dev,
          golang-github-docker-go-connections-dev,
          golang-github-docker-go-units-dev,
-         golang-github-garyburd-redigo-dev,
+         golang-github-euank-go-kmsg-parser-dev,
+         golang-github-go-logr-logr-dev,
          golang-github-gogo-protobuf-dev,
-         golang-github-mattn-go-shellwords-dev,
-         golang-github-mesos-mesos-go-dev,
-         golang-github-mrunalp-fileutils-dev,
+         golang-github-karrick-godirwalk-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
-         golang-github-opencontainers-runc-dev,
+         golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
          golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-prometheus-client-model-dev,
          golang-github-prometheus-common-dev,
          golang-github-seandolphin-bqschema-dev,
-         golang-github-shopify-sarama-dev,
          golang-go-zfs-dev,
          golang-golang-x-net-dev,
-         golang-golang-x-oauth2-dev,
          golang-golang-x-sys-dev,
-         golang-google-api-dev,
          golang-google-grpc-dev,
-         golang-gopkg-olivere-elastic.v2-dev,
          ${misc:Depends},
 Description: analyze resource usage and performance of running containers
  cAdvisor (Container Advisor) provides container users an understanding of

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := utils/cloudinfo/aws \
	utils/cloudinfo/azure utils/cloudinfo/gce \
	cmd/internal/storage/influxdb \
	example integration

export DH_GOLANG_INSTALL_EXTRA := fs/test_resources \
	$(shell find collector container perf -name '*.json')

%:
	dh $@ --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	cp -av debian/vendor ./

execute_after_dh_auto_install:
	mv -vf debian/tmp/usr/bin/cmd debian/tmp/usr/bin/cadvisor

## cadvisor 0.38.7+ds1

=== Makefile ===
# Copyright 2015 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO := go
pkgs     = $(shell $(GO) list ./... | grep -v vendor)
cmd_pkgs = $(shell cd cmd && $(GO) list ./... | grep -v vendor)
arch ?= $(shell go env GOARCH)
go_path = $(shell go env GOPATH)

ifeq ($(arch), amd64)
  Dockerfile_tag := ''
else
  Dockerfile_tag := '.''$(arch)'
endif


all: presubmit build test

test:
	@echo ">> running tests"
	@$(GO) test -short -race $(pkgs)
	@cd cmd && $(GO) test -short -race $(cmd_pkgs)

test-with-libpfm:
	@echo ">> running tests"
	@$(GO) test -short -race -tags="libpfm" $(pkgs)
	@cd cmd && $(GO) test -short -race -tags="libpfm" $(cmd_pkgs)

container-test:
	@echo ">> runinng tests in a container"
	@./build/unit-in-container.sh

docker-test: container-test
	@echo "docker-test target is deprecated, use container-test instead"

test-integration:
	@GO_FLAGS=${$GO_FLAGS:-"-race"} ./build/build.sh
	go test -c github.com/google/cadvisor/integration/tests/api
	go test -c github.com/google/cadvisor/integration/tests/healthz
	@./build/integration.sh

docker-test-integration:
	@./build/integration-in-docker.sh

test-runner:
	@$(GO) build github.com/google/cadvisor/integration/runner

tidy:
	@$(GO) mod tidy
	@cd cmd && $(GO) mod tidy

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)
	@cd cmd && $(GO) fmt $(cmd_pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)
	@cd cmd && $(GO) vet $(cmd_pkgs)

build: assets
	@echo ">> building binaries"
	@./build/build.sh $(arch)

assets:
	@echo ">> building assets"
	@./build/assets.sh

release:
	@echo ">> building release binaries"
	@./build/release.sh

docker-%:
	@docker build -t cadvisor:$(shell git rev-parse --short HEAD) -f deploy/Dockerfile$(Dockerfile_tag) .

docker-build:
	@docker run --rm -w /go/src/github.com/google/cadvisor -v ${PWD}:/go/src/github.com/google/cadvisor golang:1.15 make build

presubmit: vet
	@echo ">> checking go formatting"
	@./build/check_gofmt.sh
	@echo ">> checking file boilerplate"
	@./build/check_boilerplate.sh

lint:
	@echo ">> running golangci-lint using configuration at .golangci.yml"
	@GOFLAGS="$(GO_FLAGS)" $(go_path)/bin/golangci-lint run

clean:
	@rm -f *.test cadvisor

.PHONY: all build docker format release test test-integration vet presubmit tidy

=== debian/changelog ===
cadvisor (0.38.7+ds1-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:48:20 -0600

cadvisor (0.38.7+ds1-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add dependency on golang-github-opencontainers-go-digest-dev,
      golang-github-opencontainers-image-spec-dev,
      golang-github-seandolphin-bqschema-dev,
      golang-github-containerd-ttrpc-dev, and
      golang-github-containerd-typeurl-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 20:21:47 -0700

cadvisor (0.38.7+ds1-2) unstable; urgency=medium

  * Add patch to build with runc rc93
  * Bump golang-github-opencontainers-runc-dev to 1.0.0~rc93

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Feb 2021 16:55:35 +0800

cadvisor (0.38.7+ds1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add dependency on golang-github-opencontainers-go-digest-dev,
      golang-github-opencontainers-image-spec-dev,
      golang-github-seandolphin-bqschema-dev,
      golang-github-containerd-ttrpc-dev, and
      golang-github-containerd-typeurl-dev

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2021 12:54:47 -0800

cadvisor (0.38.7+ds1-1) unstable; urgency=medium

  * New upstream version 0.38.7+ds1
  * Chenge Section to admin and -dev package to golang
  * Update Standards-Version to 4.5.1 (no changes)
  * Add version info when building
  * Update man page and default configuration

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 15 Jan 2021 02:30:13 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cadvisor
-Section: devel
+Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
@@ -22,7 +22,7 @@
                golang-github-mesos-mesos-go-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
-               golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
+               golang-github-opencontainers-runc-dev (>= 1.0.0~rc93),
                golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
@@ -39,7 +39,7 @@
                golang-google-api-dev,
                golang-google-grpc-dev,
                golang-gopkg-olivere-elastic.v2-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/google/cadvisor
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cadvisor
 Vcs-Git: https://salsa.debian.org/go-team/packages/cadvisor.git
@@ -48,6 +48,7 @@
 XS-Go-Import-Path: github.com/google/cadvisor
 
 Package: golang-github-google-cadvisor-dev
+Section: golang
 Architecture: all
 Depends: golang-github-blang-semver-dev,
          golang-github-containerd-containerd-dev,
@@ -61,7 +62,7 @@
          golang-github-karrick-godirwalk-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
-         golang-github-opencontainers-runc-dev (>= 1.0.0~rc91),
+         golang-github-opencontainers-runc-dev (>= 1.0.0~rc93),
          golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
          golang-github-prometheus-client-golang-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DH_GOLANG_EXCLUDES := utils/cloudinfo/aws \
 	utils/cloudinfo/azure utils/cloudinfo/gce \
@@ -8,6 +10,11 @@
 export DH_GOLANG_INSTALL_EXTRA := fs/test_resources \
 	$(shell find collector container perf -name '*.json')
 
+
+PKG        := github.com/google/cadvisor
+GO_LDFLAGS += -X $(PKG)/version.Version=$(DEB_VERSION_UPSTREAM)
+GO_LDFLAGS += -X $(PKG)/version.Revision=$(DEB_VERSION)
+
 %:
 	dh $@ --buildsystem=golang --with=golang
 
@@ -16,3 +23,6 @@
 
 execute_after_dh_auto_install:
 	mv -vf debian/tmp/usr/bin/cmd debian/tmp/usr/bin/cadvisor
+
+override_dh_auto_build:
+	dh_auto_build -- -ldflags '$(GO_LDFLAGS)'
